EIT Time Now
EIT is the abbreviation of Eastern Indonesian Time. Time zone offset of EIT is UTC+09. Eastern Indonesian Time is 9 hours ahead from the UTC universal time. EIT current date is 10th Saturday October 2026. Current time in EIT (EIT).
EIT Time
EIT is the abbreviation used for referring to Eastern Indonesian Time. This time standard is effective for Eastern Indonesian region, including the territories in Papua and West Papua (the cities like Biak, Sorong, Jayapura, Merauke, and others), the islands of Maluku (the cities of Ternate, Ambon, Tidore, and others). Eastern Indonesian Time is 9 hours ahead from the UTC universal time, and it is the same time standard used in such cities of the world as Seoul, Osaka, Tokyo, etc.
What time is it in Eastern Indonesian Time now? It is 00:06:47 right now.
Eastern Indonesian Time Date and Time Now in Various Formats
| Date Time Format | EIT Date Time Now |
|---|---|
| UTC | 2026-10-10T00:06:47Z |
| ISO-8601 | 2026-10-10T00:06:47+0000 |
| RFC 2822 | Sat, 10 Oct 2026 00:06:47 +0000 |
| RFC 850 | Saturday, 10-Oct-26 00:06:47 UTC |
| RFC 1036 | Sat, 10 Oct 26 00:06:47 +0000 |
| RFC 1123 | Sat, 10 Oct 2026 00:06:47 +0000 |
| RFC 822 | Sat, 10 Oct 26 00:06:47 +0000 |
| RFC 3339 | 2026-10-10T00:06:47+00:00 |
| ATOM | 2026-10-10T00:06:47+00:00 |
| COOKIE | Saturday, 10-Oct-2026 00:06:47 UTC |
| RSS | Sat, 10 Oct 2026 00:06:47 +0000 |
| W3C | 2026-10-10T00:06:47+00:00 |
| Unix Epoch | 1791590807 |
| YYYY-DD-MM HH:MM:SS | 2026-10-10 00:06:47 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-10-10 12:06:47 AM |
| DD-MM-YYYY HH:MM:SS | 10-10-2026 00:06:47 |
| MM-DD-YYYY HH:MM:SS | 10-10-2026 00:06:47 |